﻿@using System.Web.UI.WebControls;
<table style="width:100%" border="0">
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Vendor Code";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_ADD_VENDOR_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.ClientSideEvents.ValueChanged = "OnVendorCodeChanged";
                }).BindList(@Model.CmbVendorCD).GetHtml()
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_HIDE_VENDOR_CD";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 150;
                        settings.Properties.MaxLength = 12;
                        settings.ClientVisible = false;
                    }).Bind(Model.VENDOR_CD).GetHtml()
        </td>
        <td style="width:33%"></td>
    </tr>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Vendor Type";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_ADD_VENDOR_TYPE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    //settings.ReadOnly = true;
                    settings.ClientEnabled = false;
                }).Bind(Model.VENDOR_TYPE).GetHtml()
        </td>
        <td></td>
    </tr>
    <tr>
        <td style="padding:10px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Vendor Name";
                }).GetHtml()
        </td>
        <td style="padding:10px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_ADD_VENDOR_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 255;
                    //settings.ReadOnly = true;
                    settings.ClientEnabled = false;
                }).Bind(Model.VENDOR_NAME).GetHtml()
        </td>
        <td></td>
    </tr>
    <tr style="border:1px solid">
        <td colspan="3">
            @Html.Partial("AddServicePriceMasterGrid", ViewData["ServicePriceGrid"])
        </td>
    </tr>
    <tr>
        <td align="right" colspan="3" style="padding:10px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdSave";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Save";
                    edtSetting.ClientSideEvents.Click = "onSave";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdCancel";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Cancel";
                    edtSetting.ClientSideEvents.Click = "OnCancel";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
        </td>
    </tr>
</table>
@*@Html.Partial("PartialHideForm")*@
